    Program zcorn
    
    !     
    !***********************************************************************
         !Name:Mohammad Amirul Islam 
    !**********************************************************************
   
   Implicit none    
        
  !Data Dictionary: decleared  variable types, definitions 
     ! cell 50 100 5 (12652 ft, 26417 ft, 637 ft)   
     integer::i,j    !loop index
     
     real::cf,D,t,DF,h1              
     
     real,parameter::PI=3.14159265
     
     real(kind=4)::CDT1(101)              ! layer1 TOP
     real(kind=4)::CDB1(101)              ! layer1 BOTTOM
     
     
     
        
     
     D=9219.0  !detum
     t=8287.0  !top
     
     cf=(D-t)/D   !curve factor
                
     h1=24.0   !thickness           
              
          
     
     
     !defining depth in x deriction
        
    do i=1,51,1
          
                             !layer 1 value 
    CDT1(i)=D*(1.0-cf*sin((i-1)*PI/50.0)) 
    CDB1(i)=(D+h1)*(1.0-cf*sin((i-1)*PI/50.0)) 
                             
                             
    	              
	                                
	               
                 
       end do
     
     
     
     
     
     !open output file zcorn.INC
     open(unit=1, file='zcorn.INC', status='unknown', action='write') 
     
     
     write(1,*)'ZCORN'   
     
      ! layer 1----------------------------------------------------------------------
      !TOP
        j=1
        DF=(1.0-cf*sin((j-1)*PI/100.0))
        write(1,10) CDT1(1)*DF,(CDT1(i)*DF,CDT1(i)*DF, i=2,50,1),CDT1(51)*DF ! 100 points
        write(1,*)
        
      do j=2,100,1
             
             DF=(1.0-cf*sin((j-1)*PI/100.0))
             
             write(1,10) CDT1(1)*DF,(CDT1(i)*DF,CDT1(i)*DF, i=2,50,1),CDT1(51)*DF ! 100 points
             write(1,*)
             write(1,10) CDT1(1)*DF,(CDT1(i)*DF,CDT1(i)*DF, i=2,50,1),CDT1(51)*DF ! 100 points
             write(1,*)
      end do
        
        j=101
        DF=(1.0-cf*sin((j-1)*PI/100.0))
        write(1,10) CDT1(1)*DF,(CDT1(i)*DF,CDT1(i)*DF, i=2,50,1),CDT1(51)*DF ! 100 points
        write(1,*)
      
      !BOTTOM
      
              j=1
              DF=(1.0-cf*sin((j-1)*PI/100.0))
              write(1,10) CDB1(1)*DF,(CDB1(i)*DF,CDB1(i)*DF, i=2,50,1),CDB1(51)*DF ! 100 points
              write(1,*)
              
            do j=2,100,1
                   
                   DF=(1.0-cf*sin((j-1)*PI/100.0))
                   
                   write(1,10) CDB1(1)*DF,(CDB1(i)*DF,CDB1(i)*DF, i=2,50,1),CDB1(51)*DF ! 200 points
                   write(1,*)
                   write(1,10) CDB1(1)*DF,(CDB1(i)*DF,CDB1(i)*DF, i=2,50,1),CDB1(51)*DF ! 200 points
                   write(1,*)
            end do
              
              j=101
              DF=(1.0-cf*sin((j-1)*PI/100.0))
              write(1,10) CDB1(1)*DF,(CDB1(i)*DF,CDB1(i)*DF, i=2,50,1),CDB1(51)*DF ! 200 points
        write(1,*)
      
      
             
      
      
      
       
 10 format(1x,f10.4,5x,f10.4,5x,f10.4,5x,f10.4,5x,f10.4)


    write(1,*)' /'
           
       
       
      
       write(*,*)'Normal Termination on this run'
       
       write(*,*)'please see ''zcorn.INC'' file for result'
       write(*,*)'*******************************************************'
        write(*,*)'                          Thanks                        '
          write(*,*)'*****************************************************'
      
   end program zcorn



      
           
   
