    Program coord
    
    !     
    !***********************************************************************
         !Name:Mohammad Amirul Islam 
    !**********************************************************************
   Implicit none    
        
  !Data Dictionary: decleared  variable types, definitions 
     ! cell 50 100 5 (12652 m, 26417 m,  ft)   
     real::cf,D,t,h1,c
     
     integer::i,j,k                        !loop index
     
     real(kind=4)::X(51)               ! 
     real(kind=4)::Y(101)              ! 
     real(kind=4)::Z(51)              ! 
     real,parameter::PI=3.14159265
        
            c=0.3048
      !define x points
      
           X(1)=0.0001
       do i=1,50,1
           X(i+1)=X(i)+251.9/c !(12652 m  direction Dx 253.04 ft)
      end do
     
     !define y points
     
                Y(1)=0.0001
          do j=1,100,1
                Y(j+1)=Y(j)+264.15/c !(26417 m y direction Dy 264.17)
          end do
     
     !depth control
     
     D=9219.0  !detum
     
     t=8730.0  !top
          
   cf=(D-t)/D   !curve factor
                     
     h1=79.0   !thickness     
     
                
                
          
          do i=1,51,1
                Z(i)=D*(1.0-cf*sin((i-1)*PI/50.0))      !  dapth decreasing-increasing i deriction
         end do
     
     
     !open output file coord.INC
     open(unit=1, file='coord.INC', status='unknown', action='write') 
     
     
     write(1,*)'COORD'   
     
      ! top layer 
      
      do j=1,101,1
             
             do i=1,51,1
             
             
     write(1,10)X(i),Y(j),Z(i)*(1.0-cf*sin((j-1)*PI/100.0)) ,X(i),Y(j),Z(i)*(1.0-cf*sin((j-1)*PI/100.0))+h1
              
              
              end do
            write(1,*)
       end do 
      
      
       
       
       
 10 format(1x,f10.4,5x,f10.4,5x,f10.4,5x,f10.4,5x,f10.4,5x,f10.4)


    write(1,*)' /'
           
       
       
      
       write(*,*)'Normal Termination on this run'
       
       write(*,*)'please see ''coord.INC'' file for result'
       write(*,*)'*******************************************************'
        write(*,*)'                          Thanks                        '
          write(*,*)'*****************************************************'
      
   end program coord



      
           
   
